%Disparity estimation test


clear all;

n=100;
u=-n/2:n/2-1;
v=u;

[U,V]=meshgrid(u,v);

%Construct Quaternion Gabor Filer
%gausian
eps=1;

sigma=15;
N=eps./(2*pi*sigma^2);
g=(exp(-(U.^2+(eps*V).^2)/(2*sigma^2)));


%quaternion component
w1=pi*0.03.*U;
w2=pi*0.03.*V;
%Components of QGF and ffts of components
hee=g.*(cos(w1).*cos(w2));
fthee=fft2(hee);
hoe=g.*(sin(w1).*cos(w2));
fthoe=fft2(hoe);
heo=g.*(cos(w1).*sin(w2));
ftheo=fft2(heo);
hoo=g.*(sin(w1).*sin(w2));
fthoo=fft2(hoo);

figure;
subplot(1,4,1);
imagesc(hee);
colormap gray;
axis off;
subplot(1,4,2)
imagesc(hoe);
colormap gray;
axis off;
subplot(1,4,3)
imagesc(heo);
colormap gray;
axis off;
subplot(1,4,4)
imagesc(hoo);
colormap gray;
axis off;


