clear all;

x=0:.01:1;
y=0:.01:1;

[X,Y]=meshgrid(x,y);

w1=6*pi;
w2=8*pi;

p1=pi;
p2=pi;



f  = cos(w1.*X+p1).*cos(w2.*Y+p2);
f1 = sin(w1.*X+p1).*cos(w2.*Y+p2);
f2 = cos(w1.*X+p1).*sin(w2.*Y+p2);
fh = sin(w1.*X+p1).*sin(w2.*Y+p2);

fa = real(f + i*f1 +i*f2 + i*fh);

subplot(241);


imagesc(f);
colormap bone;

subplot(245);

fq = real(exp(i*(w1*X+w2*Y+p1+p2)));

imagesc(fq);

subplot(246);

fq1 = real(exp(i*(-w1*X+w2*Y-p1+p2)));

imagesc(fq1);

ftot=real(sqrt((f+i*fh).*(f-i*fh)));

subplot(242)
imagesc(ftot);

famp1=abs(cos(w2*Y+p2));

subplot(243);
imagesc(famp1);

theta1 = mod(w2.*Y+p2, pi);
phi1   = mod(w1.*X+p1,2*pi);

subplot(248);
imagesc(theta1);


f1 = real((cos(w1.*X+p1).*cos(w2.*Y+p2)+i.*sin(w1.*X+p1).*cos(w2.*Y+ ...
                                                  p2)));
f1phase = f1./famp1;

subplot(244);
imagesc(f1phase);

subplot(247);
imagesc(phi1);

