function x = isempty_internal(q)
% Determines whether q is empty. This function has to know the
% representation of a quaternion, whereas the function isempty()
% does not.

% Copyright  2005 Stephen J. Sangwine and Nicolas Le Bihan.
% See the file : Copyright.m for further details.

error(nargchk(1, 1, nargin)), error(nargoutchk(0, 1, nargout))

x = isempty(q.w) & isempty(q.x) & isempty(q.y) & isempty(q.z);
