clear all;

x=0:.01:1;
y=0:.01:1;
z=0:.01:1;

[X,Y,Z]=meshgrid(x,y,z);

w1=6*pi;
w2=8*pi;

p1=0;
p2=0;

theta1 = w2.*Y+p2;
phi1   = w1.*X+p1;
psi1=-pi/4.*Z;

phase1=real(exp(i*phi1).*exp(i*theta1).*exp(i*psi1));

subplot(151);
imagesc(phase1);
colormap bone;

psi2=-pi/6.*Z;

phase2=real(exp(i*phi1).*exp(i*theta1).*exp(i*psi2));

subplot(152);
imagesc(phase2);
colormap bone

psi3=0.*Z;

phase3=real(exp(i*phi1).*exp(i*theta1).*exp(i*psi3));

subplot(153);
imagesc(phase3);
colormap bone

psi4=pi/6.*Z;

phase4=real(exp(i*phi1).*exp(i*theta1).*exp(i*psi4));


subplot(154);
imagesc(phase4);
colormap bone

psi5=pi/4.*Z;

phase5=real(exp(i*phi1).*exp(i*theta1).*exp(i*psi1));

subplot(155);
imagesc(phase5);
colormap bone